Bug 502917 - The man page for pbmtext needs to display a backslash
The man page for pbmtext needs to display a backslash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 15:12 EDT by Jón Fairbairn
Modified: 2013-07-02 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 10.47.04-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-21 11:53:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2009-05-27 15:12:44 EDT
Description of problem:
In the man page for pbmtext there is a table of characters that is intended to be used to make fonts for pbmtext. It's the whole ASCII set, so there should be a backslash (\) between the "[" and the "]", but the source for the manpage only has a single backslash, so it doesn't appear in the table. Results in off-by one output for fonts generated by xwd'ing the man page output (or cut and paste from the manpage for that matter).

Version-Release number of selected component (if applicable):
I'm using F9, but grabbed netpbm-progs-10.35.62-1.fc11.x86_64.rpm
and looked at the man page from that.

How reproducible:
Always

Steps to Reproduce:
1. man pbmtext
2. scroll down to the "PBM Font" header
3. look at the character table
  
Actual results:
           M ’,/^_[‘jpqy| M

           /  !’#$%&’()*+ /
           < ,-./01234567 <
           > 89:;<=>?@ABC >
           @ DEFGHIJKLMNO @
           _ PQRSTUVWXYZ[ _
           { ]^_‘abcdefg {
           } hijklmnopqrs }
           ~ tuvwxyz{|}~  ~

           M ’,/^_[‘jpqy| M


Expected results:

           M ',/^_[`jpqy| M

           /  !"#$%&'()*+ /
           < ,-./01234567 <
           > 89:;<=>?@ABC >
           @ DEFGHIJKLMNO @
           _ PQRSTUVWXYZ[ _
           { \]^_`abcdefg {
           } hijklmnopqrs }
           ~ tuvwxyz{|}~  ~

           M ',/^_[`jpqy| M



Additional info:
Comment 1 Bug Zapper 2009-06-09 12:40:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jindrich Novy 2009-10-21 11:53:15 EDT
It is now fixed in rawhide.
Comment 3 Fedora Update System 2009-10-21 14:36:41 EDT
netpbm-10.47.04-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/netpbm-10.47.04-1.fc12
Comment 4 Fedora Update System 2009-10-21 14:38:14 EDT
netpbm-10.47.04-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/netpbm-10.47.04-1.fc11
Comment 5 Fedora Update System 2009-10-21 14:39:10 EDT
netpbm-10.47.04-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/netpbm-10.47.04-1.fc10
Comment 6 Fedora Update System 2009-11-12 21:26:30 EST
netpbm-10.47.04-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-11-12 21:30:14 EST
netpbm-10.47.04-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.